Subscriptions
Subscriptions Lines Update
Update an existing subscription line.
Authorization
oauth2 subscriptions:writeAuthorizationBearer <token>
Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123
In: header
Scope: subscriptions:write
Path Parameters
id*integer
A unique integer value identifying the Subscription.
lineId*integer
A unique integer value identifying the Subscription line.
Header Parameters
X-29next-API-Version*"2023-02-10"
Default
"2023-02-10"Value in
- "2023-02-10"
Response Body
application/json
curl -X PUT "https://example.com/subscriptions/0/lines/0/" \ -H "X-29next-API-Version: 2023-02-10" \ -H "Content-Type: application/json" \ -d '{ "quantity": 0 }'{ "id": 0, "metadata": null, "price": "string", "product": { "categories": [ { "id": 0, "name": "string", "slug": "string" } ], "id": 0, "images": [ { "attachment": "string", "caption": "string", "display_order": 0, "file_name": "string", "id": 0, "src": "http://example.com" } ], "title": "string", "upc": "string", "url": "http://example.com" }, "properties": [ { "key": "string", "value": null } ], "quantity": 0, "stockrecord": { "id": 0, "low_stock_threshold": 0, "num_allocated": -2147483648, "num_in_stock": -2147483648, "partner_sku": "string", "price": "string", "price_currency": "string", "price_retail": "string" }}